#include <iostream>

#include "CImg.h"
using namespace cimg_library;

#include "imgmanipbs.h"

using namespace std;

#ifndef cimg_imagepath
#define cimg_imagepath "img/"
#endif


int main(int argc, char *argv[])
{
    // Read input image filename from the command line (or set it to "./ref.jpg" if option '-i' is not provided).
    std::string file_i( cimg_option("-i","./ref.jpg","Input image") );
    
    // Read output foldername from the command line (or set it to "./" if option '-o' is not provided).
    std::string out_folder( cimg_option("-o","./","Output folder") );
    
    ImgManipBS im = ImgManipBS(file_i.c_str());


    return 0;
}



